List Files
curl --request GET \
--url https://api.cozmox.ai/file \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.cozmox.ai/file"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cozmox.ai/file', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"orgId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"object": "file",
"status": "processing",
"name": "<string>",
"originalName": "<string>",
"bytes": 123,
"purpose": "<string>",
"mimetype": "<string>",
"key": "<string>",
"path": "<string>",
"bucket": "<string>",
"url": "<string>",
"parsedTextUrl": "<string>",
"parsedTextBytes": 123,
"metadata": {}
}
]Files
List Files
GET
/
file
List Files
Authorizations
Retrieve your API Key from Dashboard [blocked].
Response
200 - application/json
This is the unique identifier for the file.
This is the unique identifier for the org that this file belongs to.
This is the ISO 8601 date-time string of when the file was created.
This is the ISO 8601 date-time string of when the file was last updated.
Available options:
file Available options:
processing, done, failed This is the name of the file. This is just for your own reference.
Maximum string length:
40